grep-commit
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

grep branch, master, updated. v3.1-52-g41d17c3


From: Jim Meyering
Subject: grep branch, master, updated. v3.1-52-g41d17c3
Date: Sun, 16 Dec 2018 17:05:41 -0500 (EST)

This is an automated email from the git hooks/post-receive script. It was
generated because a ref change was pushed to the repository containing
the project "grep".

The branch, master has been updated
       via  41d17c3f0ef3043c66f40349358fe9e88ca48582 (commit)
      from  e767c4eac976a5ce2a4582950ade2b77499c2228 (commit)

Those revisions listed above that are new to this repository have
not appeared on any other notification email; so we list those
revisions in full, below.

- Log -----------------------------------------------------------------
http://git.savannah.gnu.org/cgit/grep.git/commit/?id=41d17c3f0ef3043c66f40349358fe9e88ca48582


commit 41d17c3f0ef3043c66f40349358fe9e88ca48582
Author: Jim Meyering <address@hidden>
Date:   Sun Dec 16 14:01:18 2018 -0800

    tests: reenable the surrogate-pair test
    
    This reverts commit bdb98cec2e7bf255e1d00eaf8be16299f7bf571e,
    but adding the comment changes suggested by Bruno Haible in
    https://lists.gnu.org/r/grep-devel/2018-12/msg00037.html
    * tests/surrogate-pair: New file.
    * tests/Makefile.am (TESTS): List it.

diff --git a/tests/Makefile.am b/tests/Makefile.am
index 872024f..a7e8f27 100644
--- a/tests/Makefile.am
+++ b/tests/Makefile.am
@@ -153,6 +153,7 @@ TESTS =                                             \
   spencer1-locale                              \
   stack-overflow                               \
   status                                       \
+  surrogate-pair                               \
   symlink                                      \
   triple-backref                               \
   turkish-I                                    \
diff --git a/tests/surrogate-pair b/tests/surrogate-pair
new file mode 100755
index 0000000..34e569b
--- /dev/null
+++ b/tests/surrogate-pair
@@ -0,0 +1,44 @@
+#!/bin/sh
+# Check the handling of characters outside the Unicode BMP.
+# Known failures: This test currently fails on Cygwin and AIX.
+
+# Copyright (C) 2013-2018 Free Software Foundation, Inc.
+
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
+# GNU General Public License for more details.
+
+# You should have received a copy of the GNU General Public License
+# along with this program.  If not, see <https://www.gnu.org/licenses/>.
+
+. "${srcdir=.}/init.sh"; path_prepend_ ../src
+
+require_en_utf8_locale_
+require_compiled_in_MB_support
+
+fail=0
+
+printf '\360\220\220\205\n' > in || framework_failure_
+
+LC_ALL=en_US.UTF-8
+export LC_ALL
+
+# On Cygwin, before grep-2.15, this would segfault.
+# Require not just non-zero exit status, but exactly 1.
+returns_ 1 grep -i anything-else in > out 2>&1 || fail=1
+# Expect no output.
+compare /dev/null out || fail=1
+
+# Also test whether a surrogate-pair in the search string works.
+for opt in '' -i -E -F -iE -iF; do
+  grep --file=in $opt in > out 2>&1 || fail=1
+  compare out in || fail=1
+done
+
+Exit $fail

-----------------------------------------------------------------------

Summary of changes:
 tests/Makefile.am                          |  1 +
 tests/{z-anchor-newline => surrogate-pair} | 36 ++++++++++++++++--------------
 2 files changed, 20 insertions(+), 17 deletions(-)
 copy tests/{z-anchor-newline => surrogate-pair} (55%)


hooks/post-receive
-- 
grep



reply via email to

[Prev in Thread] Current Thread [Next in Thread]